/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.mobilerss;

import de.hedenus.rdfschema.ResourceImpl;
import de.hedenus.www.Namespaces;

/**
 * Binding for <code>http://purl.org/rss/1.0/item</code>.
 * 
 * @author Michael Hedenus
 */
public class Item extends ResourceImpl
{
	public static final String URI = Namespaces.RSS10 + "item";

	public String getTitle()
	{
		String title = String.valueOf(getProperty(Namespaces.RSS10 + "title", (String)null));
		if (title == null || title.length() == 0)
		{
			title = "<untitled>";
		}
		return title;
	}

	public String getDescription()
	{
		return String.valueOf(getProperty(Namespaces.RSS10 + "description", (String)null));
	}
}
