/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.mobilexml;

/**
 * An XML attribute.
 * 
 * @author Michael Hedenus
 */
public class Attribute extends Item
{
	final String value;

	protected Attribute(String name, String value)
	{
		super(name);
		this.value = value;
	}
	
	/*
	 * Creates a new namespaced attribute.
	 * <br><b>Note:</b> The <code>name</code> and <code>namespacePrefix</code> property will be null.
	 * @param localName
	 * @param namespaceURI
	 * @param value
	 *
	public Attribute(String localName, String namespaceURI, String value)
	{
		super(null);
		
		this.localName = localName;
		this.namespaceURI = namespaceURI;
		this.value = value;
	}
	*/

	public String toString()
	{
		return (hasNamespace() ? ("{" + namespaceURI + "}" + localName) : name) + "=\"" + value + "\"";
	}

	public String getValue()
	{
		return value;
	}	
}
