/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.mobilexml;

class Chars
{
	private Chars()
	{
		//NOP
	}

	public static boolean isWhitespace(char c)
	{
		return (c == ' ' || c == '\t' || c == '\r' || c == '\n');
	}

	public static boolean isNameChar(char c)
	{
		return Character.isLetterOrDigit(c) || c == '.' || c == '-' || c == '_' || c == ':';
	}

	public static boolean isNameBeginChar(char c)
	{
		return Character.isLetter(c) || c == '_' || c == ':';
	}
}
