/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.mobilexml;

import java.io.IOException;

/**
 * An XML exception occuring during parsing of an XML file.
 * 
 * @author Michael Hedenus
 */
public class XMLException extends IOException
{
	private static final long serialVersionUID = -3002774723156991369L;

	private final int lineNumber;
	
	public XMLException(String message, int lineNumber)
	{
		super("Line "+lineNumber+": "+message);
		this.lineNumber = lineNumber;
	}

	public int getLineNumber()
	{
		return lineNumber;
	}
}
