/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.rdf;

import de.hedenus.www.Namespaces;

/**
 * A collection of constants.
 * 
 * @author Michael Hedenus
 */
public class RDFConstants
{
	public static final String NS = Namespaces.RDF;

	public static final String ABOUT = "about";
	public static final String DATATYPE = "datatype";
	public static final String DESCRIPTION = "Description";
	public static final String NODE_ID = "nodeID";
	public static final String PARSETYPE = "parseType";
	public static final String RDF = "RDF";
	public static final String RESOURCE = "resource";

	public static final String LI_URI = NS + "li";
	public static final String TYPE_URI = NS + "type";
	public static final String LIST_URI = NS + "List";
	public static final String FIRST_URI = NS + "first";
	public static final String REST_URI = NS + "rest";
	public static final String NIL_URI = NS + "nil";
	public static final String PROPERTY_URI = NS + "Property";
	public static final String XMLLITERAL_URI = NS + "XMLLiteral";

	private RDFConstants()
	{
		//NOP
	}
}
