/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.rdfschema;

import java.util.Iterator;

import de.hedenus.rdf.RDFConstants;

/**
 * Implementation of rdf:List.
 * 
 * @author Michael Hedenus
 */
public class ListImpl extends ResourceImpl implements List
{
	public Iterator iterator()
	{
		return new Iterator()
		{
			Resource currentList = ListImpl.this;
			Resource first = null;

			public boolean hasNext()
			{
				if (currentList != null)
				{
					first = binding().getPropertyValue(currentList.about(), RDFConstants.FIRST_URI);
					return first != null;
				}
				else
				{
					return false;
				}
			}

			public Object next()
			{
				if (currentList != null)
				{
					Resource next = first;
					currentList = binding().getPropertyValue(currentList.about(), RDFConstants.REST_URI);
					return next;
				}
				else
				{
					return null;
				}
			}

			public void remove()
			{
				throw new UnsupportedOperationException();
			}
		};
	}
}
