/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.rdfschema;

import de.hedenus.www.Namespaces;

/**
 * rdfs:Literal.
 * 
 * @author Michael Hedenus
 */
public interface Literal extends Resource
{
	public static final String URI = Namespaces.RDFSCHEMA +  "Literal";
	
	/**
	 * Returns the string value of the literal.
	 */
	public String toString();
	
	/**
	 * Returns the language or <code>null</code> if the literal has no language specifier.
	 */
	public String language();
	
	/**
	 * Returns the datatype URI or <code>null</code> if the literal has no datatype URI.
	 */
	public String datatype();
}
