/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.rdfschema;

import java.net.URL;

import de.hedenus.www.Namespaces;

/**
 * RDF Schema constants.
 * 
 * @author Michael Hedenus
 */
public class RDFSchemaConstants
{
	public static final URL SCHEMA_URL = RDFSchemaConstants.class.getResource("/rdfschema/rdf-schema.rdf");
	
	public static final String NS = Namespaces.RDFSCHEMA;

	public static final String RESOURCE_URI = NS + "Resource";
	
	public static final String CLASS_URI = NS + "Class";
	
	public static final String SUBCLASSOF_URI = NS + "subClassOf";
	
	public static final String SUBPROPERTYOF_URI = NS + "subPropertyOf";

	public static final String LABEL_URI = NS + "label";
	
	private RDFSchemaConstants()
	{
		//NOP
	}
}
