package de.hedenus.util;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

public class SecureChecksum
{
	private static MessageDigest messageDigest;

	private static String getSHA1(String data) throws NoSuchAlgorithmException
	{
		if (messageDigest == null)
		{
			messageDigest = MessageDigest.getInstance("SHA-1");
		}

		byte[] byteData;
		try
		{
			byteData = data.getBytes("UTF-8");
		}
		catch (UnsupportedEncodingException e)
		{
			throw new RuntimeException("encoding not supported");
		}
		int offset = 0;
		int len = byteData.length;

		messageDigest.reset();
		messageDigest.update(byteData, offset, len);
		byte[] checksum = messageDigest.digest();

		StringBuffer stringBuffer = new StringBuffer();
		for (int i = 0; i < checksum.length; i++)
		{
			int b = (((int)checksum[i]) & 0xFF); // signed byte -> unsigned int value
			if (b < 16)
			{
				stringBuffer.append('0');
			}
			stringBuffer.append(Integer.toHexString(b));
		}

		return stringBuffer.toString();
	}

	public static void main(String[] args) throws Exception
	{
		System.out.println(getSHA1("mailto:bla@blub.info"));
		System.out.println(getSHA1("mailto:dof@dof.org"));
		System.out.println(getSHA1("abc"));
		System.out.println(getSHA1(""));
	}
}
