/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.xmltypes.impl;

import de.hedenus.xmltypes.Type;

/**
 * W3Schema built-in primitive type.
 * 
 * @author Michael Hedenus
 */
public abstract class BuiltInPrimitiveType extends W3SchemaType
{
	protected BuiltInPrimitiveType(TypeFactoryImpl typeFactory, String name, Type[] baseTypes)
	{
		super(typeFactory, name, baseTypes);
	}
	
	/**
	 * Returns false.
	 */
	public boolean isAbstract()
	{
		return false;
	}
	
	/**
	 * Returns true.
	 */
	public boolean isPrimitive()
	{
		return true;
	}
}
