/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package de.hedenus.xmltypes.impl;

import de.hedenus.xmltypes.TypeException;

/**
 * XMLLiteral.
 * 
 * @author Michael Hedenus
 */
public class XMLLiteral extends AbstractTypeImpl
{
	public XMLLiteral(TypeFactoryImpl typeFactory)
	{
		super(typeFactory, "XMLLiteral", null);
	}

	public Class getRepresentationClass()
	{
		return String.class;
	}

	public String getTypeSystem()
	{
		return "http://www.w3.org/1999/02/22-rdf-syntax-ns";
	}

	public boolean isAbstract()
	{
		return false;
	}

	public boolean isPrimitive()
	{
		return false;
	}

	public Object parse(String literal) throws TypeException
	{
		checkNull(literal);
		return literal;
	}

	public boolean validate(Object value)
	{
		checkNull(value);
		//TODO check for wellformedness?
		return value instanceof String;
	}
}
