/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package examples;

import java.io.IOException;
import java.net.URL;

import de.hedenus.rdf.RDFGraph;
import de.hedenus.rdf.serialize.GraphBuilder;
import de.hedenus.rdf.serialize.RDFXMLParser;

/**
 * Example 1: Loads and displays the file <code>example1.rdf</code>.
 * 
 * @author Michael Hedenus
 */
public class Example1
{
	public static void main(String[] args) throws IOException
	{
		// an new RDF graph
		RDFGraph graph = new RDFGraph();
		
		// an RDF event listener which translates RDF events
		// to add new statements to the graph
		GraphBuilder graphBuilder = new GraphBuilder(graph);
		
		// an RDF XML parser
		RDFXMLParser rdfXmlParser = new RDFXMLParser();
		rdfXmlParser.parse(graphBuilder, new URL("http://www.hedenus.de/rdf/example1.rdf")); 
		
		// print the statements to System.out
		graph.dump();
	}
}
