/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package examples;

import de.hedenus.rdf.Literal;
import de.hedenus.rdf.RDFGraph;
import de.hedenus.rdf.Statement;
import de.hedenus.rdf.URIRefNode;
import de.hedenus.www.Namespaces;

/**
 * Example 2: Manually created statement.
 * 
 * @author Michael Hedenus
 */
public class Example2
{
	public static void main(String[] args)
	{
		// new graph
		RDFGraph graph = new RDFGraph();
		
		// the subject resource
		URIRefNode subject = graph.createURIRefNode("http://www.hedenus.de/rdf/Example2");
		
		// the property URI
		String predicate = Namespaces.DUBLINCORE11+"description";
		
		// the object literal
		// the second argument is the datatype
		Literal object = graph.createLiteral("Hello World.", null, "en");
		
		// create statement
		Statement statement = graph.createStatement(subject, predicate, object, RDFGraph.STATEMENT_ASSERTED);
		System.out.println(statement);
	}
}
