/*****************************************************************************
 *  Copyright 2008 Michael Hedenus                                           *
 *                                                                           *
 *  Licensed under the Apache License, Version 2.0 (the "License");          *
 *  you may not use this file except in compliance with the License.         *
 *  You may obtain a copy of the License at                                  *
 *                                                                           *
 *      http://www.apache.org/licenses/LICENSE-2.0                           *
 *                                                                           *
 *  Unless required by applicable law or agreed to in writing, software      *
 *  distributed under the License is distributed on an "AS IS" BASIS,        *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
 *  See the License for the specific language governing permissions and      *
 *  limitations under the License.                                           *
 *****************************************************************************/
package examples;

import java.io.File;
import java.io.IOException;
import java.net.URL;

import de.hedenus.rdf.RDFGraph;
import de.hedenus.rdf.serialize.GMLSerializer;
import de.hedenus.rdf.serialize.GraphBuilder;
import de.hedenus.rdf.serialize.RDFXMLParser;
import de.hedenus.rdf.serialize.RDFXMLSerializer;

/**
 * Example 3: Graph serialization.
 * 
 * @author Michael Hedenus
 */
public class Example3
{
	public static void main(String[] args) throws IOException
	{
		//	 an new RDF graph
		RDFGraph graph = new RDFGraph();

		// an RDF event listener which translates RDF events
		// to add new statements to the graph
		GraphBuilder graphBuilder = new GraphBuilder(graph);

		// an RDF XML parser
		RDFXMLParser rdfXmlParser = new RDFXMLParser();
		rdfXmlParser.parse(graphBuilder, new URL("http://www.hedenus.de/rdf/example1.rdf"));
		
		new RDFXMLSerializer().serialize(graph, new File("example3_output.rdf"));
		new GMLSerializer().serialize(graph, new File("example3_output.gml"));
	}
}
